1. Manage eSIMs
Airalo Developer Platform
  • OVERVIEW
    • Introduction
    • Attribute descriptions
    • FAQ
    • Developer feedback
    • Quick start
      • Step 1: Request access token
      • Step 2: Get packages
      • Step 3: Submit order
      • Step 4: Get installation instructions
    • Guides
      • How to set up a brand for eSIMs Cloud link sharing
      • How to get the eSIMs Cloud sharing link through API
      • How to generate the QR code for an eSIM
      • eSIM installation methods for API Partners
  • REST API
    • Introduction
    • Rate limits
    • Error handling
    • Go live checklist
    • Endpoints
      • Authenticate
        • Request access token
      • Browse packages
        • Get packages
      • Place order
        • Future orders
        • Submit order
        • Submit order async
        • eSIM voucher
      • Request refund
        • Request refund
      • Install eSIM
        • Get eSIM
        • Get installation instructions
      • Monitor usage
        • Get usage (data, text & voice)
      • Place top up order
        • Get top-up package list
        • Submit top-up order
      • Manage orders
        • Get order list
        • Get order
        • Cancel future orders
        • Future Orders
      • Manage eSIMs
        • Update eSIM brand
          PUT
        • Get eSIMs list
          GET
        • Get eSIM package history
          GET
      • Compatible devices
        • [Deprecated] Get compatible device list
        • Get compatible device lite list
      • Notifications
        • Airalo webhooks opt-in and flow
        • Webhooks guide
        • Webhook definition
        • Notification: Low data
          • Opt in
          • Get notification details
          • Opt out
        • Notification: Credit limit
          • Opt in
          • Get notification details
          • Opt out
        • Notification: Async orders
          • Opt in
          • Get notification details
          • Opt out
        • Webhook simulator
      • Check balance
        • Get balance
  • SDKs
    • Introduction
    • SDK vs. REST API
    • Technical notes
  • WOOCOMMERCE PLUGIN
    • Introduction
    • Guides
      • How to install the Airalo Plugin for WooCommerce
      • How to customize the "My eSIMs" page colors in WooCommerce
      • How to convert prices into your local currency
  1. Manage eSIMs

Get eSIM package history

GET
/v2/sims/{iccid}/packages
💡
GDPR and Data Storage
For compliance with GDPR and global privacy regulations, Airalo does not store any of your end-users' personally identifiable information (PII). You are solely responsible for handling and storing all customer data on your end.
Associating eSIMs with Customers
To retrieve or manage all eSIMs associated with a specific customer, you must store and map the customer's data to the ICCID within your own system. The ICCID is the primary identifier for managing an eSIM post-purchase.
This endpoint comes with a Rate Limit: you can pull specific eSIM history info once every 15 minutes. If you send another request too soon, the server's going to respond with a 429 HTTP code. Please check the 'Retry-After' header, it'll tell you how many seconds to wait before the rate limit resets and you can fetch fresh info.
Please, use a caching mechanism on the client side to deal with frequent customer requests.
To get and display this eSIM’s data package history, including top-ups:
Make a GET request to the endpoint URL https://partners-api.airalo.com/v1/sims/:iccid/packages, replacing :iccid with the ICCID of the eSIM for which you want to retrieve top-up package information.
The API will respond with a JSON object containing an array of purchased top-up packages for the eSIM, each of which includes an ID, remaining data amount, activation and expiration dates, and other information.
For more information and best practices visit our FAQ page

Request

Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://partners-api.airalo.com/v2/sims/8910300000005271146/packages' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {{token}}' \
--header 'url: https://partners-api.airalo.com'

Responses

🟢200eSIM: List purchased top-up packages (history): 200 OK
application/json
Body

Example
{
    "data": [
        {
            "id": 728,
            "status": "ACTIVE",
            "remaining": 2378,
            "activated_at": "2023-01-09T10:30:45+00:00",
            "expired_at": "2023-02-09T10:30:45+00:00",
            "finished_at": null,
            "package": {
                "id": "bonbon-mobile-30days-3gb-topup",
                "type": "topup",
                "price": 10,
                "net_price": 6,
                "amount": 3072,
                "day": 30,
                "is_unlimited": false,
                "title": "3 GB - 30 Days",
                "data": "3 GB",
                "short_info": null
            }
        },
        {
            "id": 725,
            "status": "ACTIVE",
            "remaining": 2496,
            "activated_at": "2023-01-09T10:30:45+00:00",
            "expired_at": "2023-02-09T10:30:45+00:00",
            "finished_at": null,
            "package": {
                "id": "bonbon-mobile-30days-3gb-topup",
                "type": "topup",
                "price": 10,
                "net_price": 6,
                "amount": 3072,
                "day": 30,
                "is_unlimited": false,
                "title": "3 GB - 30 Days",
                "data": "3 GB",
                "short_info": null
            }
        }
    ]
}
🟢200eSIM: List purchased top-up packages (history): 404 (Invalid ICCID)
🟠429eSIM: List purchased top-up packages (history): 429 (Rate Limit)
Modified at 2026-04-17 06:23:24
Previous
Get eSIMs list
Next
Compatible devices
Built with